<?php
$view               =  \WC_Delivery_Time\Includes\Helper\Views::get_instance();
$model              = \WC_Delivery_Time\Includes\Helper\Model::get_instance();

$jDate              = new \WC_Delivery_Time_jDate;
$currentYear        = (isset($_GET['year']) and !empty($_GET['year'])) ? $_GET['year'] : $jDate->jdate('Y', time());
$currentMonth       = (isset($_GET['month']) and !empty($_GET['month'])) ? $_GET['month'] : $jDate->jdate('n', time());
$todayDate          = $jDate->jdate('Y/m/d');
?>
<div class="wcdt-calendar">
    <div class="tabs">
        <?php $view->load('admin.calendar.tabs', ['startYear' => $currentYear, 'startMonth' => $currentMonth]); ?>
    </div>
    <div class="calendar">
        <?php $weekDays = wcdt_get_week_name(); ?>
        <?php foreach ($weekDays as $day => $label): ?>
            <div class="day head"><?php echo $label; ?></div>
        <?php endforeach; ?>
        <?php for( $i = 1; $i <= 31; $i++ ): ?>
            <?php
            $thisDayTimeStamp           = $jDate->jmktime(0,0,0, $currentMonth, $i, $currentYear);
            $thisDayTimeStampFrom       = $jDate->jmktime(0,0,0, $currentMonth, $i, $currentYear);
            $thisDayTimeStampTo         = $jDate->jmktime(23,59,59, $currentMonth, $i, $currentYear);
            $thisDetails                = $model->getDeliveryDataByDate($thisDayTimeStampFrom, $thisDayTimeStampTo);
            $thisDate                   = $jDate->jdate('Y/m/d', $thisDayTimeStamp);
            if($i == 1) {
                    $firstDay   = $jDate->jdate('w', $thisDayTimeStamp);
                    for($j = 0; $j < $firstDay; $j++): ?>
                        <div class="day"></div>
                    <?php endfor;
                }
                ?>
            <?php if( !$jDate->jcheckdate($currentMonth, $i, $currentYear) ) continue; ?>
            <div class="day <?php echo ($thisDate == $todayDate) ? 'today' : ''; ?>">
                <?php echo $i; ?>
                <?php if(isset($thisDetails) and !empty($thisDetails) and is_array($thisDetails)): ?>
                    <?php $view->load('admin.calendar.dayDetails', ['thisDetails' => $thisDetails, 'jDate' => $jDate]); ?>
                <?php else: ?>

                <?php endif; ?>
            </div>
        <?php endfor; ?>
    </div>
</div>
