<div class="details">
    <?php
    $all_orders_counnt = 0;
    $completed_count = 0;
    $none_completed_count = 0;
    $daysHours = wcdt_get_option('days_delivery_hours');
	ob_start();
    foreach($thisDetails as $key => $details):
        $time = $details['delivery_time'];
        $orders = unserialize($details['delivery_orders']);
        $ordersCount = $details['delivery_count'];
        $dateTimestamp = $details['delivery_date'];
        $weekDayNumber = $jDate->jdate('w', $dateTimestamp);
        $weekDaySlug = wcdt_get_week_name_en($weekDayNumber);
        $dayHours = (isset($daysHours[$weekDaySlug]) and !empty($daysHours[$weekDaySlug])) ? $daysHours[$weekDaySlug] : array();

        if(isset($orders) and !empty($orders) and is_array($orders)) : ?>
            <?php
            $all_orders_counnt = $all_orders_counnt + count($orders);
            $timeDetails = explode('-', $time);
            $from = $timeDetails[0];
            $to   = $timeDetails[1];
            $periodVolume = '';
            foreach($dayHours as $k => $hour) {
                $hour = WC_Delivery_Time\Includes\WC_Delivery_Time_Show::show_hour($hour);
                $periodFrom = $hour['first'];
                $periodTo = $hour['second'];
                if($periodFrom == $from and $periodTo == $to) {
                    $periodVolume = $hour['volume'];
                }
            }
            if($periodVolume == 0) $remainVolume = 'نامحدود';
            else {
                $remainVolume = (int) $periodVolume - (int) $ordersCount;
            }
            ?>
            <div class="range">
                <h3>زمان: <?php echo $time; ?></h3>
                <h3> ظرفیت باقیمانده: <?php echo $remainVolume; ?></h3>
                <p> 
                    <?php foreach( $orders as $k => $order_id ): ?>
                        <?php
                        $status = get_post_status($order_id);
                        if($status == 'wc-completed') $completed_count++;
                        else $none_completed_count++;
                        ?>
                        <a href="<?php echo get_edit_post_link($order_id); ?>">#<?php echo $order_id; ?></a>
                    <?php endforeach; ?>
                </p>
            </div>
        <?php endif; ?>
    <?php endforeach; ?>
    <?php 
    $output_hover = ob_get_contents();
	ob_end_clean();
	?>
	<div class="hover">
	    <?php echo $output_hover; ?>
	</div>
    
            <div class="results">
                <div class="item all">
                    <label for="">مجموع سفارش ها:</label>
                    <span><?php echo $all_orders_counnt; ?></span>
                </div>
                <div class="item completed">
                    <label for="">تکمیل شده:</label>
                    <span><?php echo $completed_count; ?></span>
                </div>
                <div class="item proccessing">
                    <label for="">مورد بررسی:</label>
                    <span><?php echo $none_completed_count; ?></span>
                </div>
            </div>
</div>