jQuery(document).ready(function ($) {
    $(document).on('wc_fragments_refreshed', function () {
        $('div#delivery_date_field.digikala_mobile').css({'bottom': '-' + $(this).height() - 50})
    });

    $(document).on('click', '.wcdt-digitheme .digitheme-head li', function () {
        $('.wcdt-digitheme .digitheme-head li').removeClass('activated');
        $('.wcdt-digitheme .digitheme-body li').removeClass('activated');
        var $selectedNumber = $(this).index();
        $(this).addClass('activated');
        $('.wcdt-digitheme .digitheme-body').children('li').eq($selectedNumber).addClass('activated');
    });
    $(document).on('change', 'select[name="billing_city"], select[name="billing_state"]', function(){
        $('body').trigger('update_checkout');
    });
    $(document).on('click', '#select_delivery_time_digikala', function (e) {
        digikala_mobile_show()
        return false;
    });
    $(document).on('click tap', 'div#delivery_date_field.digikala_mobile input[name="delivery_date"]', function () {
        $('#select_delivery_time_digikala').html('تغییر زمان ارسال');
        var $weekDay = $('div#delivery_date_field.digikala_mobile li.activated .digitheme-head-name').html();
        var $date = $('div#delivery_date_field.digikala_mobile li.activated .digitheme-head-date').html();
        var $hour = $(this).next('label').html();
        $('.digikala_mobile_selection .label.selected_time').html(
            '<span class="date"><b>' + $weekDay + '</b>' +
            $date +
            '</span>' +
            ' - <span class="time">' +
            '<b>ساعت: </b>' +
            $hour +
            '</span>'
        );

        digikala_mobile_hide()
        $('.digikala_mobile_selection').addClass('selected');
    });
    $(document).on('tap click', function(e) {
        var container = $("div#delivery_date_field.digikala_mobile");
        if (!container.is(e.target) && container.has(e.target).length === 0) {
            digikala_mobile_hide()
        }
    });
    function digikala_mobile_show() {
        $('div#delivery_date_field.digikala_mobile').fadeIn(0, function () {

            $('div#delivery_date_field.digikala_mobile').animate({
                bottom: 0,
            }, 800, function () {
                $(this).addClass('slideUp');
            });
        });
    }

    function digikala_mobile_hide() {
        $('div#delivery_date_field.digikala_mobile').animate({
            bottom: '-' + $(this).height() - 50,
        }, 800, function () {
            $(this).removeClass('slideUp');
            $(this).fadeOut(0);
        });
    }
});