<?php
namespace WC_Delivery_Time\Includes\Helper;

class Views
{
    public static $instance = NULL;

    public static function get_instance()
    {
        NULL === self::$instance and self::$instance = new self;
        return self::$instance;
    }

    public function __construct() {

    }


    public function load($file = '', $data = [])
    {
        $file = str_replace('.', DIRECTORY_SEPARATOR, $file);
        $file = WCDT_PATH . DIRECTORY_SEPARATOR . 'templates'. DIRECTORY_SEPARATOR . $file .'.php';
        if(!file_exists($file)) return '';
        extract($data);
        require ("$file");
    }

    public function section($file, $data = [])
    {
        ob_start();
        $this->load($file, $data);
        return ob_get_clean();
    }
}