<?php
$digikala_days_bg = wcdt_get_option('digikala_days_bg', 'design');
$digikala_days_bg_selected = wcdt_get_option('digikala_days_bg_selected', 'design');
$digikala_days_color = wcdt_get_option('digikala_days_color', 'design');
$digikala_days_color_selected = wcdt_get_option('digikala_days_color_selected', 'design');
$digikala_days_size = wcdt_get_option('digikala_days_size', 'design');
$digikala_days_size_selected = wcdt_get_option('digikala_days_size_selected', 'design');
$digikala_days_weight = wcdt_get_option('digikala_days_weight', 'design');
$digikala_days_weight_selected = wcdt_get_option('digikala_days_weight_selected', 'design');
$digikala_days_date_color = wcdt_get_option('digikala_days_date_color', 'design');
$digikala_days_date_color_selected = wcdt_get_option('digikala_days_date_color_selected', 'design');
$digikala_days_date_weight = wcdt_get_option('digikala_days_date_weight', 'design');
$digikala_days_date_weight_selected = wcdt_get_option('digikala_days_date_weight_selected', 'design');
$digikala_days_date_size = wcdt_get_option('digikala_days_date_size', 'design');
$digikala_days_date_size_selected = wcdt_get_option('digikala_days_date_size_selected', 'design');
$digikala_days_top_border_selected = wcdt_get_option('digikala_days_top_border_selected', 'design');


?>

<style>
    ul.digitheme-head li {
        <?php if(isset($digikala_days_bg) and !empty($digikala_days_bg)): ?>
            background: <?php echo $digikala_days_bg; ?> !important;
        <?php endif; ?>
    }
    ul.digitheme-head li.activated {
        <?php if(isset($digikala_days_bg_selected) and !empty($digikala_days_bg_selected)): ?>
            background: <?php echo $digikala_days_bg_selected; ?> !important;
        <?php endif; ?>
    }
    ul.digitheme-head li.activated:before {
        <?php if(isset($digikala_days_top_border_selected) and !empty($digikala_days_top_border_selected)): ?>
            background: <?php echo $digikala_days_top_border_selected; ?> !important;
        <?php endif; ?>
    }
    ul.digitheme-head .digitheme-head-name {
        <?php if(isset($digikala_days_color) and !empty($digikala_days_color)): ?>
            color: <?php echo $digikala_days_color; ?> !important;
        <?php endif; ?>
        <?php if(isset($digikala_days_size) and !empty($digikala_days_size)): ?>
            font-size: <?php echo $digikala_days_size; ?>px !important;
        <?php endif; ?>
        <?php if(isset($digikala_days_weight) and !empty($digikala_days_weight)): ?>
            font-weight: <?php echo $digikala_days_weight; ?> !important;
        <?php endif; ?>
    }
    ul.digitheme-head li.activated .digitheme-head-name {
        <?php if(isset($digikala_days_color_selected) and !empty($digikala_days_color_selected)): ?>
            color: <?php echo $digikala_days_color_selected; ?> !important;
        <?php endif; ?>
        <?php if(isset($digikala_days_size_selected) and !empty($digikala_days_size_selected)): ?>
            font-size: <?php echo $digikala_days_size_selected; ?>px !important;
        <?php endif; ?>
        <?php if(isset($digikala_days_weight_selected) and !empty($digikala_days_weight_selected)): ?>
            font-weight: <?php echo $digikala_days_weight_selected; ?> !important;
        <?php endif; ?>
    }
    ul.digitheme-head li.activated .digitheme-head-date {
    <?php if(isset($digikala_days_date_color_selected) and !empty($digikala_days_date_color_selected)): ?>
	    color: <?php echo $digikala_days_date_color_selected; ?> !important;
    <?php endif; ?>
    }
    ul.digitheme-head .digitheme-head-date {
        <?php if(isset($digikala_days_date_color) and !empty($digikala_days_date_color)): ?>
            color: <?php echo $digikala_days_date_color; ?> !important;
        <?php endif; ?>
        <?php if(isset($digikala_days_date_size) and !empty($digikala_days_date_size)): ?>
            font-size: <?php echo $digikala_days_date_size; ?>px !important;
        <?php endif; ?>
        <?php if(isset($digikala_days_date_weight) and !empty($digikala_days_date_weight)): ?>
            font-weight: <?php echo $digikala_days_date_weight; ?> !important;
        <?php endif; ?>
    }
</style>

<?php do_action('delivery_time_before_list'); ?>
    <div id="delivery_date_field">
        <?php $wcdt_title = wcdt_get_option('delivery_time_title', 'text'); ?>
        <?php if(isset($wcdt_title) and !empty($wcdt_title)): ?>
            <h3><?php echo $wcdt_title; ?></h3>
        <?php else: ?>
            <h3><?php _e('Select delivery date and time: ', 'wcdt'); ?></h3>
        <?php endif;?>
        <div class="wcdt-digitheme">
            <ul class="digitheme-head">
                <?php
                $skipped_days_count = 0;
				for($i = 0 + $dayStartFrom; $i <= $daysToShowNumber + $dayStartFrom - 1; $i++) {
                    $dayName = strtolower(self::time_date( 'l', $i . ' day'));
                    $dayDate_i18n = wcdt_convert_number(self::time_date_i18n( 'Y/m/d', $i . ' day'));
                    $dayDate = wcdt_convert_number(self::time_date( 'Y/m/d', $i . ' day'));
                    $dayTimestamp = self::date_timestamp( $dayDate );
                    $is_disable = (is_array($offDates) and in_array($dayDate_i18n, $offDates)) ? true : ((is_array($offWeekDays) and in_array($dayName, $offWeekDays)) ? true : false);
                    if(!self::show_off_dates()) {
                        if($is_disable) $skipped_days_count++;
                    }
                }
                $forActivatedTab = 1;
                for($i = 0 + $dayStartFrom; $i <= $daysToShowNumber + $skipped_days_count + $dayStartFrom - 1; $i++) {
                    $dayName = strtolower(self::time_date( 'l', $i . ' day'));
                    $dayDate_i18n = wcdt_convert_number(self::time_date_i18n( 'Y/m/d', $i . ' day'));
                    $dayDate = wcdt_convert_number(self::time_date( 'Y/m/d', $i . ' day'));
                    $dayTimestamp = self::date_timestamp( $dayDate );
                    $is_disable = (is_array($offDates) and in_array($dayDate_i18n, $offDates)) ? true : ((is_array($offWeekDays) and in_array($dayName, $offWeekDays)) ? true : false);
                    if(!self::show_off_dates()) {
                        if($is_disable) continue;
                    }
                    $disableClass = $is_disable ? 'dt-disable-day' : '';
                    ?>
                    <li class="<?php if($forActivatedTab == 1) echo 'activated' ?> <?php echo $disableClass; ?>">
                        <div class="digitheme-head-name"><?php echo self::time_date_i18n( 'l', $i . ' day'); ?></div>
                        <div class="digitheme-head-date"><?php echo self::time_date_i18n( self::date_format(), $i . ' day'); ?></div>
                        <?php do_action('wcdt_after_week_day_name', $is_disable, $dayTimestamp); ?>
                    </li>
                    <?php $forActivatedTab++;
                } ?>
            </ul>

            <ul class="digitheme-body">
                <?php
                $forActivatedTab = 1;
                for($i = 0 + $dayStartFrom; $i <= $daysToShowNumber + $skipped_days_count + $dayStartFrom - 1; $i++) {
                    $dayName = strtolower(self::time_date( 'l', $i . ' day'));
                    $dayDate_i18n = wcdt_convert_number(self::time_date_i18n( 'Y/m/d', $i . ' day'));
                    $dayDate = self::time_date( 'Y/m/d', $i . ' day');
                    $dayTimestamp = self::date_timestamp( $dayDate );
                    $is_disable = (is_array($offDates) and in_array($dayDate_i18n, $offDates)) ? true : ((is_array($offWeekDays) and in_array($dayName, $offWeekDays)) ? true : false);
                    if(!self::show_off_dates()) {
                        if($is_disable) continue;
                    }
                    $disableClass = $is_disable ? 'dt-disable-day' : '';
                    $dayHours = (isset($deliveryHours[$dayName]) and !empty($deliveryHours[$dayName])) ? $deliveryHours[$dayName] : array();
                    ?>

                    <li class="<?php if($forActivatedTab == 1) echo 'activated' ?> <?php echo $disableClass; ?>">
                        <ul>
                            <?php
                            foreach($dayHours as $key => $hour) {
                                $hour = self::show_hour($hour);
                                $currentCount = wcdt_get_period_volume($dayTimestamp, $hour['first'].'-'.$hour['second']);


                                // check deactive hour
                                $is_disable_range = wcdt_check_hour_to_disable_range($dayDate, $hour, $defaultDeactiveHour, $dayName);


                                if($i === 0) {
                                    if($is_disable) {
                                        ?>
                                        <li class="dt-disable-day">
                                            <label for="delivery_date_<?php echo $dayTimestamp; ?>_<?php echo $key; ?>"><?php printf( __( '%s - %s o\'clock', 'wcdt' ), $hour['first'], $hour['second'] ) ?></label>
                                        </li>
                                        <?php
                                    } else {
                                        if (wcdt_compare_day_hours($hour, $defaultDeactiveHour, wcdt_convert_number($current_hour)) and !$is_disable_range) {
                                            ?>
                                            <?php if ($hour['volume'] === 0 or ($currentCount < $hour['volume'])) {
                                                ?>
                                                <li>
                                                    <input type="radio" name="delivery_date"
                                                           id="delivery_date_<?php echo $dayTimestamp; ?>_<?php echo $key; ?>"
                                                           value="<?php echo $dayTimestamp . '-' . $hour['first'] . '-' . $hour['second']; ?>">
                                                    <label for="delivery_date_<?php echo $dayTimestamp; ?>_<?php echo $key; ?>"><?php printf(__('%s - %s o\'clock', 'wcdt'), $hour['first'], $hour['second']) ?></label>
                                                </li>
                                                <?php

                                            } else { ?>
                                                <li class="dt-disable-day">
                                                    <label for="delivery_date_<?php echo $dayTimestamp; ?>_<?php echo $key; ?>"><?php printf( __( '%s - %s o\'clock', 'wcdt' ), $hour['first'], $hour['second'] ) ?></label>
                                                    <span><?php _e('full capacity', 'wcdt'); ?></span>
                                                </li>
                                            <?php } ?>
                                        <?php } else { ?>
                                            <li class="dt-disable-day">
                                                <label for="delivery_date_<?php echo $dayTimestamp; ?>_<?php echo $key; ?>"><?php printf( __( '%s - %s o\'clock', 'wcdt' ), $hour['first'], $hour['second'] ) ?></label>
                                            </li>
                                            <?php
                                        }
                                    }
                                } else {
                                    if($is_disable) {
                                        ?>
                                        <li class="dt-disable-day">
                                            <label for="delivery_date_<?php echo $dayTimestamp; ?>_<?php echo $key; ?>"><?php printf( __( '%s - %s o\'clock', 'wcdt' ), $hour['first'], $hour['second'] ) ?></label>
                                        </li>
                                        <?php
                                    } else {
                                        if(!$is_disable_range) {
                                            if ($hour['volume'] === 0 or ($currentCount < $hour['volume'])) { ?>
                                                <li>
                                                    <input type="radio" name="delivery_date"
                                                           id="delivery_date_<?php echo $dayTimestamp; ?>_<?php echo $key; ?>"
                                                           value="<?php echo $dayTimestamp . '-' . $hour['first'] . '-' . $hour['second']; ?>">
                                                    <label for="delivery_date_<?php echo $dayTimestamp; ?>_<?php echo $key; ?>"><?php printf(__('%s - %s o\'clock', 'wcdt'), $hour['first'], $hour['second']) ?></label>
                                                </li>
                                            <?php } else { ?>
                                                <li class="dt-disable-day">
                                                    <label for="delivery_date_<?php echo $dayTimestamp; ?>_<?php echo $key; ?>"><?php printf(__('%s - %s o\'clock', 'wcdt'), $hour['first'], $hour['second']) ?></label>
                                                    <span><?php _e('full capacity', 'wcdt'); ?></span>
                                                </li>
                                                <?php
                                            }
                                        } else {
                                            ?>
                                            <li class="dt-disable-day">
                                                <label for="delivery_date_<?php echo $dayTimestamp; ?>_<?php echo $key; ?>"><?php printf( __( '%s - %s o\'clock', 'wcdt' ), $hour['first'], $hour['second'] ) ?></label>
                                            </li>
                                            <?php
                                        }
                                    }
                                    ?>
                                    <?php
                                }
                            }
                            ?>
                        </ul>
                    </li>

                    <?php
                    $forActivatedTab++;
                } ?>
            </ul>

        </div>
    </div>

<?php do_action('delivery_time_after_list'); ?>