<?php
/*
Plugin Name: Woocommerce Delivery Time
Plugin URI: https://zhaket.com/product/woocommerce-delivery-time/
Description: Delivery time for woocommerce
Version: 3.3.1
Author: Mohammadreza Bahreynipour
Author URI: http://bahreynipour.ir
Text Domain: wcdt
Domain Path: /languages/
*/


namespace WC_Delivery_Time;

if(!defined('ABSPATH')){
    return;
}
define( 'WCDT_VERSION', '3.3.1');
define( 'WCDT_FILE', __FILE__ );
define( 'WCDT_URL', plugin_dir_url( WCDT_FILE ) );
define( 'WCDT_PATH', plugin_dir_path( WCDT_FILE ) );
define( 'WCDT_FILE_NAME', plugin_basename( WCDT_FILE ) );


require WCDT_PATH . 'includes/WC_Delivery_Time.php';
function RUN_WCTB_INSTANCE() {
    return Includes\WC_Delivery_Time::get_instance();
}

RUN_WCTB_INSTANCE();
if(file_exists(WCDT_PATH . 'customize/customize.php')) {
	require WCDT_PATH . 'customize/customize.php';
};
